请大家帮助我看看这个小程序,多谢了。
Private Sub CommandButton1_Click()<BR> <BR> Dim HatchObject As AcadHatch<BR> Dim OuterCircle(0) As AcadCircle<BR> Dim Center As Variant<BR> Dim Radius As DoubleWith ThisDrawing.Utility<BR> Center = .GetPoint("Click the position or Enter the Center ordinate:")<BR> Radius = .GetDistance(Center, "Enter the radius.")<BR> End With<BR> <BR> Set OuterCircle(0) = ThisDrawing.ModelSpace.AddCircle(Center, Radius)<BR> OuterCircle(0).color = acYellow<BR> <BR> OuterCircle(0).Update<BR> <BR> Set HatchObject = ThisDrawing.ModelSpace.AddHatch(acHatchPatternTypePreDefined, "ansi31", False)<BR> HatchObject.AppendOuterLoop (OuterCircle) '设置填充的外环边界<BR> HatchObject.Evaluate '寻找和剖面线相交的部分(和set hatchobject不合分割<BR> HatchObject.Update<BR>End Sub
运行后,出现错误提示;autocad主窗口不可见。 光标定位在getpoint一行<BR>加入application.visual=true(我认为没必要)也不行。 大家帮帮忙吧。 Center = .GetPoint("Click the position or Enter the Center ordinate:")
改为
Center = .GetPoint(,"Click the position or Enter the Center ordinate:")
即可
注意语句格式 谢谢楼上的朋友。
你说的错误我改正了(其实我是误写了),但是还是出现相同的错误提示。
还请你看一下. 老问题,窗口没有隐藏。
先用Me.Hide bow.
老实说,有些看似简单的东西,如果没有人帮忙,真的会让新手困惑很久。因为书上也没写这些。还是希望老手们不要鄙视新手们的幼稚问题,有空的话给个提示。
再次感谢管理员。 <p>是的,这个问题我就摆置了好长时间!感谢admin</p>
页:
[1]